@import url("https://fonts.googleapis.com/css2?family=Mulish:wght@200&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap");

@tailwind base;
@tailwind components;
@tailwind utilities;

* {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: var(--theme-);
}
body {
  overflow-y: scroll;
}

:root {
  --theme-primary-color: #184c8c;
  --theme-primary-color-dark: #003346;
  --theme-secondary-color: #e9f1ff;
  --theme-transparent: transparent;
  --theme-blue: #0d6efd;
  --theme-blue-100: #e2fbf5;
  --theme-blue-200: #EBF4FF;
  --theme-blue-300: #b8dce8;
  --theme-indigo: #6610f2;
  --theme-purple: #6f42c1;
  --theme-pink: #d63384;
  --theme-red: #dc3545;
  --theme-orange: #fd7e14;
  --theme-yellow: #ffc107;
  --theme-green: #198754;
  --theme-black: #000;
  --theme-white: #fff;
  --theme-gray: #9698ab;
  --theme-gray-dark: #2f2e41;
  --theme-gray-100: #F5F9FD;
  --theme-gray-200: #f5f5f5;
  --theme-gray-300: #d9d9d9;
  --theme-gray-400: #757575;
  --theme-gray-500: #9a9a9a;
  --theme-gray-600: #838383;
  --theme-gray-700: #495057;
  --theme-gray-800: #2f2e41;
  --theme-gray-900: #212529;
  --theme-success: #22c55e7d;
  --theme-success-light: #ecffdf;
  --theme-info: #77d7fa;
  --theme-info-light: #e8f4fd;
  --theme-warning: #f9dab1;
  --theme-warning-light: #fff4e5;
  --theme-error: #ea4242;
  --theme-error-light: #fdecea;
  --theme-light: #f8f9fa;
  --theme-dark: #212529;
  --theme-: "Poppins", sans-serif;
  --theme-secondary-font: "Mulish", sans-serif;
  --theme-gradient: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.15),
    rgba(255, 255, 255, 0)
  );
  --theme-font-size: 1rem;
  --theme-font-weight: 400;
  --theme-line-height: 1.5;
  --theme-body-color: #838383;
  --theme-body-backgroundg: #f5f5f5;
  --theme-border-width: 1px;
  --theme-border-style: solid;
  --theme-border-color: #dee2e6;
  --theme-link-color: #368ac8;
  --theme-link-hover-color: #0a58ca;
  --theme-background: #f7f8fa;
  --theme-badge: #e97225;
  --theme-text-success: #2b8139;
}

/* --------------Color Global Class ----------------- */

h6,
.h6,
h5,
.h5,
h4,
.h4,
h3,
.h3,
h2,
.h2,
h1,
.h1 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2;
}

body p,
body input {
  font-size: 1rem;
}
body h1 {
  font-size: 2rem;
}
body h2 {
  font-size: 1.8rem;
}
body h3 {
  font-size: 1.5rem;
}
body h4,
.h4 {
  font-size: 1.2rem;
}
body h5,
.h5 {
  font-size: 1.15rem;
}
body h6,
.h6 {
  font-size: 1rem;
}
ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem;
}
.button {
  text-align: center;
  padding: 5px 20px;
  border-radius: 4px;
  font-weight: 400;
  border-width: 1px;
  border-style: solid;
  cursor: pointer;
}
.button-primary {
  background-color: var(--theme-primary-color);
  border-color: var(--theme-primary-color);
  color: var(--theme-white);
}
.button-secondary {
  border-color: var(--theme-secondary-color);
  background-color: var(--theme-secondary-color);
  color: var(--theme-primary-color);
}
.primary-color {
  color: var(--theme-primary-color);
}
.secondary-color {
  color: var(--theme-secondary-color);
}
.third-color {
  color: var(--theme-gray-500);
}

.button-transparent {
  background-color: var(--theme-transparent);
  border-color: var(--theme-primary-color);
  color: var(--theme-primary-color);
}
.secondary-font {
  font-family: var(--theme-secondary-font);
}
.alert {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
  font-size: 1rem;
  font-weight: 500;
  border-radius: 8px;
  padding: 10px 20px;
}
.alert-warning {
  background: var(--theme-warning-light);
  border: 1px solid var(--theme-warning);
  color: var(--theme-primary-color);
}
.alert-info {
  background: var(--theme-info-light);
  border: 1px solid var(--theme-info);
  color: var(--theme-primary-color);
}
.alert-error {
  background: var(--theme-error-light);
  border: 1px solid var(--theme-error);
  color: var(--theme-primary-color);
}
.alert-error img:not(.no-filter) {
  filter: invert(45%) sepia(63%) saturate(2645%) hue-rotate(332deg)
    brightness(97%) contrast(97%);
}
.alert-check {
  background: var(--theme-success-light);
  border: 1px solid var(--theme-success);
}

/* CUSTOM STYLES */
.inner-container {
  width: 100%;
  background-repeat: no-repeat;
  background-position: bottom;
  font-family: var(--secondary-font);
  background-image: url(./assets/images/bg-img.png);
  background-color: rgba(255, 255, 255, 0.486);
  background-blend-mode: overlay;
}
.logo {
  width: 155px;
}
.support-icon {
  max-width: 17px;
}
img.alert-check {
  max-width: 30px;
  border: none;
}
.title-h2 {
  color: var(--theme-primary-color);
}
.theme-para {
  color: var(--theme-gray-400);
}
.bottom-border-1 {
  border-bottom: 1px solid var(--theme-gray-200);
}
.error-text {
  color: var(--theme-error);
}

.position-center {
  margin: auto;
}
.gray-input-label {
  color: var(--theme-gray-500);
  font-size: calc(var(--theme-font-size) - 2px) !important;
}
nav {
  background: var(--theme-white);
  font-family: var(--secondary-font);
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.05);
}
.searchbox {
  background: var(--theme-gray-200);
  width: 470px;
  color: var(--theme-gray-100);
  font-size: calc(var(--theme-font-size) - 3px);
  font-weight: 400;
  cursor: pointer;
  padding: 8px 20px;
  border-radius: 20px;
  font-family: var(--theme-secondary-font);
}
.search-icon {
  margin-left: -20px;
  cursor: pointer;
  margin-top: 4px;
}
.bg {
  width: 100%;
  height: 90vh;
  background-repeat: no-repeat;
  background-position: center;
  font-family: var(--secondary-font);
}
.bg-img-prelogin {
  background-image: url(./assets/images/bg-img-signin.png);
}
.bg-img-1 {
  background-image: url(./assets/images/prelogin-img.png);
}
.bg-img-2 {
  background-image: url(./assets/images/bg-img-signin.png);
}
.bg-img-for-me-1 {
  background-image: url(./assets/images/man-1.png);
}
.bg-img-for-me-2 {
  background-image: url(./assets/images/man-2.png);
}
.input-wrapper {
  width: 100%;
  height: 80px;
  border-radius: 8px;
  padding: 20px;
  display: flex;
  justify-content: between;
  text-align: left;
  align-items: center;
}
.success {
  border: 1px solid var(--theme-gray-300);
}
.error {
  border: 1px solid var(--theme-error);
  color: var(--theme-error);
}
/* --------------input ----------------- */
input {
  font-size: calc(var(--theme-font-size)) !important;
  font-family: var(--theme-);
}
input[type="checkbox"]:checked {
  accent-color: var(--theme-primary-color);
}
input:focus-visible {
  outline: none;
}
select:focus-visible {
  outline: none;
}
select {
  -moz-appearance: none;
  -webkit-appearance: none;
  width: 100%;
}
select::-ms-expand {
  display: none;
}
option:focus,
option:active {
  outline: none;
  border: none;
}
.select:focus {
  outline: none;
  border: none;
  outline-offset: none;
}
select option:focus {
  width: 100%;
  border: 0px;
  outline: 0px;
  -webkit-appearance: none;
  outline: none !important;
}
.menu-wrapper {
  background-color: var(--theme-white);
  display: flex;
  box-shadow: 0px 0px 15px rgb(0 0 0 / 7%);
}
.profile-dropdown span {
  display: block;
}
.upload-wrapper {
  background: #ffffff;
  border-radius: 12px;
  padding: 15px;
}
.table :where(thead, tfoot) :where(th, td) {
  background: white;
}
.table :where(tbody) {
  color: var(--theme-primary-color);
  font-size: 1rem;
}

.primary-checkbox-rounded {
  padding: 6px 35px 6px 20px;
  border-radius: 20px;
  border: 1px solid var(--theme-blue-300);
  margin-right: 10px;
  margin-bottom: 10px;
}

.primary-checkbox {
  background-color: var(--theme-white);
  padding: 6px 35px 6px 20px;
  border-radius: 8px;
  border: 1px solid var(--theme-blue-300);
  margin-right: 10px;
  margin-bottom: 10px;
}

.primary-checkbox-rounded.checked {
  background-color: var(--theme-blue-100);
}


/* ------ ADDED 11-05-2023 ------------- */

.alert{color:var(--theme-gray-dark);}
.onboarding-screen-wrapper nav{
  position: fixed;
  width: 100%; z-index:9999; top:0px;
}

/* ------ ADDED 15-05-2023 ------------- */
.section-content .input, .section-content select{height:2.5rem; border:1px solid var(--theme-gray-300);}
.section-content .input:hover, .section-content select:hover, .section-content select:focus{border:1px solid var(--theme-gray-300);}
.section-content .form-label{ color:var(--theme-gray-400); padding-bottom:5px; padding-top:10px;font-size: 14px;}
.mt-175{
  margin-top: 175px;
}
.upload-wrapper {
  border: 1px solid #D1E2F8;
  margin: 5px;
  border-radius: 9px;
}
.upload-block .upload-wrapper p {
  line-height: normal;
  font-size: 14px;
}
.upload-block .upload-wrapper {
  margin: 8px;
  padding: 10px;
}
.vertical-line{border:1px solid var(--theme-gray-200);}
.badge {
  background: var(--theme-badge);
  border: 1px solid var(--theme-badge);
  margin-top: -40px;
}
input.radio.radio-default {
  height: 1.2rem;
  width: 1.2rem;
}
.submenu-items {
  box-shadow: 0px 0px 10px #e5e5e5;
  border-radius: 0px 0px 5px 5px;
}
.searchbox-dashboard {
  background: var(--theme-gray-100);
  width: 700px;
  color: var(--theme-gray-100);
  font-size: calc(var(--theme-font-size) - 6px);
  font-weight: 400;
  cursor: pointer;
  padding: 8px 20px;
  border-radius: 20px;
  font-family: var(--theme-secondary-font);
  height: 42px;
  border:1px solid var(--theme-gray-300);
}
.avatar .ring {
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) #FFC107;
}
input[type="radio"]:checked {
 background-color:var(--theme-primary-color);
}
.text-success {
  color: var(--theme-text-success);
}
.mt-130{margin-top:130px;}

.widget-box {
  width: 100%;
  height: auto;
  margin-bottom:20px;
  background: #FFFFFF;
  box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.1);
  border-radius: 12px;
  min-height: 150px;
}

.bg-primary {
  background: var(--theme-primary-color);
  color: var(--theme-white);
  font-weight: 500 !important;
}
thead {
  font-weight: 500;
}
.table :where(tbody) {
  color: var(--theme-primary-color);
  font-size: 1rem;
}

.primary-checkbox-rounded {
  padding: 6px 35px 6px 20px;
  border-radius: 20px;
  border: 1px solid var(--theme-blue-300);
  margin-right: 10px;
  margin-bottom: 10px;
}

.tabs.tab-item .tab-active {
  background: var(--theme-primary-color);
  color: var(--theme-white) !important;
}
.tabs.tab-item .tab {
  padding: 0 35px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  color: var(--theme-primary-color);
  border-color: var(--theme-gray-200);
  min-height: 40px;
  border: 1px solid var(--theme-primary-color);
  margin-right: 10px;
  margin-bottom: -1px;
}
.tabs.tab-item{
  border-bottom: 1px solid var(--theme-primary-color);
}
table.altBg tr:nth-child(even) {
    background-color: var(--theme-blue-200);
}
table.usersList.altBg td, table.usersList.altBg th {
  border: 1px solid var(--theme-blue-300);
}
table.usersList.altBg th {
  font-weight:600;
}
table.altBg tr.active {
  background-color:#BDDAFF !important;
}
table.altBg tr td {
  color: var(--theme-gray-600);
}
select.defSelect {
  height: 2.4rem;
  border: 1px solid var(--theme-gray-300);
  min-height: 2.4rem;
  font-weight: 500;
}
input:checked ~ .dot {
  transform: translateX(100%);
  background-color: #48bb78;
}
.radio-custom{border: 1px solid var(--theme-primary-color); background-color:#fff;}



@media(max-width:1099px){
  .submenu-items{
    width: 100%;
    z-index: 99;
    position: inherit;
  }
  .searchbox-dashboard {
    width: 100%;
    padding: 6px 7px;
    height: 40px;
    padding-right: 50px;
    display: block;
}
.widget-box {
  width: 97%;
  min-height: 188px;
  align-items: center;
}
}

@media(min-width:1099px){
.inner-container .bg-img-1 {
  background-size: contain;
}
}
@media(max-width:1600px) and (min-width:1024px){
  .upload-block {
    display: block !important;
}
}






/* --------------Media Query ----------------- */
@media (max-width: 1099px) {
  .searchbox {
    width: 245px;
  }
  .button .button-transparent-outline {
    padding: 3px 10px;
  }
  .button .button-transparent {
    padding: 3px 10px;
  }
}
@media (min-height: 650px) and (min-width: 800px) {
  .onboarding-screen-wrapper {
    overflow: hidden;
    display: block;
    width: 100%;
    /* height: 100vh; */
  }
}
@media (max-width: 767px) {
  .mobile-justify-center .text-left {
    text-align: center;
  }
  /* .mobile-justify-center {
    height: 85vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  } */
}
@media (min-width: 1300px) {
  .bg-img-1 {
    background-position: center;
  }
}


@media(max-width:1999px){
  .inner-container {
    height: auto;
    margin-top: 90px;
  }
  .inner-container{margin-bottom:45px;}
}